#include <TPA_API.h>
#include <TPA_Utils.h>
#include <stdarg.h>
#include <stddef.h>
#include <setjmp.h>
#include <cmockery.h>
#include <stdio.h>
/*#include <string.h>*/
#include <dirent.h>

extern char * getenv (const char *);

/*
 * Common defines for tests
 * TODO: Clean me
 */

#define TPA_DEFAULT_TEST_STRING		__ENV_VARIABLE_OR_DEFAULT("TPA_DEFAULT_TEST_STRING","My test string\0")
#define TPA_TPM_DEFAULT_KEYPWD		__ENV_VARIABLE_OR_DEFAULT("TPA_TPM_DEFAULT_KEYPWD","keypwd")

/*
 * Helper functions
 */
void clear_LS ();

/*
 * Constructor tests
 */
void CTX_allocate_test_success(void **state);
void TPM_allocate_test_success(void **state);

/*
 * Data tests
 */
void bind_test_success(void **state);

/*
 * Meas tests
 */
void meas_test_success(void **state);
