#include "TPA_TEST.h"

void CTX_allocate_test_success(void **state) {
	TPA_CONTEXT *ctx = NULL;

	assert_int_equal (TpaHL_CTX_allocate(&ctx), TPA_SUCCESS);
	assert_false (ctx == NULL);

	assert_true (ctx->ls_uri == NULL);
	assert_int_equal (ctx->ls_uri_size, 0);
}

void TPM_allocate_test_success(void **state) {
	TPA_TPM *tpm = NULL;

	assert_true (TpaHL_TPM_allocate(&tpm) == TPA_SUCCESS);
	assert_false (tpm == NULL);

//	assert_true (ctx->ls_uri == NULL);
//	assert_int_equal (ctx->ls_uri_size, 0);
	assert_true (tpm->ownSecret == NULL);
	assert_int_equal (tpm->ownSecret_len, 0);
	assert_true (tpm->srkSecret == NULL);
	assert_int_equal (tpm->srkSecret_len, 0);
	assert_true (tpm->ekCertificateFilename == NULL);
	assert_true (tpm->ekCertificate == NULL);
	assert_int_equal (tpm->ekCertificate_size, 0);
}
